Subject: bug#25017: Fwd: Re: dotimes var comiler warning

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Nov 2016 17:50:37 +0100

Michael Albinus <[email-masked]> writes:

> > Yes, you can probably use `_' to suppress the warning, but I always
> > wondered why something called like this requires a variable to be
> > specified (mandatorily) at all.
>
> Why is this a problem? We have the same situation with function
> arguments. If you have an unused argument, you do the same:
>
> (defun my-fun (_unused used)
>   ;; code w/o _unused
>   )

It's not a problem.  But it's counter-intuitive for something called
"dotimes", and it's inconvenient because not needing to bind the counter
to a variable is a very common use case, not an exception.

But yes, it's just a detail.  If what I suggest is not consent, I would
not want endless debates on this topic.

Michael.